<?
/*--------------------------------------------+
| PHP-Fusion 5 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
@require_once "config.php";
require_once "maincore.php";
require_once "subheader.php";
require_once "side_left.php";

if (!defined("IN_FUSION")) { header("Location:../../index.php"); exit; }

opentable("Nyhedsarkiv");
$idag = time();
$num = dbquery("SELECT count(news_id) AS nyheds_count FROM ".$db_prefix."news");
$data = dbarray($num);
$antal = $data['nyheds_count'];
echo "Vi har i alt " . $antal . " nyheder stende i arkivet<br><br>";

$halvfems = 24*60*60*90;
$treds = 24*60*60*60;
$tredive = 24*60*60*30;
$fjorten = 24*60*60*14;
$syv = 24*60*60*7;

$i_1 = $idag - $treds;
$i_2 = $idag - $tredive;
$i_3 = $idag - $fjorten;
$i_4 = $idag - $syv;
$i_5 = $idag - $halvfems;

$n_1 = dbquery("SELECT count(news_id) AS nyheds_count FROM ".$db_prefix."news WHERE news_datestamp >= $i_1");
$n_2 = dbquery("SELECT count(news_id) AS nyheds_count FROM ".$db_prefix."news WHERE news_datestamp >= $i_2");
$n_3 = dbquery("SELECT count(news_id) AS nyheds_count FROM ".$db_prefix."news WHERE news_datestamp >= $i_3");
$n_4 = dbquery("SELECT count(news_id) AS nyheds_count FROM ".$db_prefix."news WHERE news_datestamp >= $i_4");
$n_5 = dbquery("SELECT count(news_id) AS nyheds_count FROM ".$db_prefix."news WHERE news_datestamp >= $i_5");

$d_1 = dbarray($n_1);
$antal_1 = $d_1['nyheds_count'];

$d_2 = dbarray($n_2);
$antal_2 = $d_2['nyheds_count'];

$d_3 = dbarray($n_3);
$antal_3 = $d_3['nyheds_count'];

$d_4 = dbarray($n_4);
$antal_4 = $d_4['nyheds_count'];

$d_5 = dbarray($n_5);
$antal_5 = $d_5['nyheds_count'];

echo "<form name='chooseform' method='post' action='$FUSION_SELF'>
<dl>
		<dd><input type='radio' name='choose' value='ninety'>Se nyheder for de sidste 90 dage ($antal_5)<br>
		<input type='radio' name='choose' value='sixty'>Se nyheder for de sidste 60 dage ($antal_1)<br>
		<input type='radio' name='choose' value='thirty'>Se nyheder for de sidste 30 dage ($antal_2)<br>
		<input type='radio' name='choose' value='fourteen'>Se nyheder for de sidste 14 dage ($antal_3)<br>
		<input type='radio' name='choose' value='seven'>Se nyheder for de sidste 7 dage ($antal_4)</dd>
	</dl><center>
<input type='submit' name='vis' value='Vis nyheder' class='button'><br>
</center>
</form>\n";
closetable();


if (isset($vis)) {
tablebreak();
opentable ("Viser liste over nyheder");
echo "<table width='100%' cellspacing='0' cellpadding='0' class='tbl'>\n";

if ($choose == "ninety") {
$interval = $idag - $halvfems;
$news_5 = dbquery("SELECT * FROM ".$db_prefix."news WHERE ".groupaccess('news_visibility')." AND news_datestamp >= $interval ORDER BY news_datestamp DESC");
echo "<tr><td><b>Overskrift</b></td><td><b>Dato</b></td><td><b>Vlg</b></td></tr><tr>";
while ($data = dbarray($news_5)) {
$ndato = $data['news_datestamp'];
$ndato2 = date('d-m-Y',$ndato);
$nid = $data['news_id'];
echo "<td>" . $data['news_subject'] . "</td><td>d. " . $ndato2 . "</td><td><a href='news.php?readmore=$nid'>Vis nyhed</a></td></tr><tr>";
}
}


if ($choose == "sixty") {
$interval = $idag - $treds;
$news_1 = dbquery("SELECT * FROM ".$db_prefix."news WHERE ".groupaccess('news_visibility')." AND news_datestamp >= $interval ORDER BY news_datestamp DESC");
echo "<tr><td><b>Overskrift</b></td><td><b>Dato</b></td><td><b>Vlg</b></td></tr><tr>";
while ($data = dbarray($news_1)) {
$ndato = $data['news_datestamp'];
$ndato2 = date('d-m-Y',$ndato);
$nid = $data['news_id'];
echo "<td>" . $data['news_subject'] . "</td><td>d. " . $ndato2 . "</td><td><a href='news.php?readmore=$nid'>Vis nyhed</a></td></tr><tr>";
}
}
if ($choose == "thirty") {
$interval = $idag - $tredive;
$news_2 = dbquery("SELECT * FROM ".$db_prefix."news WHERE ".groupaccess('news_visibility')." AND news_datestamp >= $interval ORDER BY news_datestamp DESC");
echo "<tr><td><b>Overskrift</b></td><td><b>Dato</b></td><td><b>Vlg</b></td></tr><tr>";
while ($data = dbarray($news_2)) {
$ndato = $data['news_datestamp'];
$ndato2 = date('d-m-Y',$ndato);
$nid = $data['news_id'];
echo "<td>" . $data['news_subject'] . "</td><td>d. " . $ndato2 . "</td><td><a href='news.php?readmore=$nid'>Vis nyhed</a></td></tr><tr>";
}
}

if ($choose == "fourteen") {
$interval = $idag - $fjorten;
$news_3 = dbquery("SELECT * FROM ".$db_prefix."news WHERE ".groupaccess('news_visibility')." AND news_datestamp >= $interval ORDER BY news_datestamp DESC");
echo "<tr><td><b>Overskrift</b></td><td><b>Dato</b></td><td><b>Vlg</b></td></tr><tr>";
while ($data = dbarray($news_3)) {
$ndato = $data['news_datestamp'];
$ndato2 = date('d-m-Y',$ndato);
$nid = $data['news_id'];
echo "<td>" . $data['news_subject'] . "</td><td>d. " . $ndato2 . "</td><td><a href='news.php?readmore=$nid'>Vis nyhed</a></td></tr><tr>";
}
}

if ($choose == "seven") {
$interval = $idag - $syv;
$news_4 = dbquery("SELECT * FROM ".$db_prefix."news WHERE ".groupaccess('news_visibility')." AND news_datestamp >= $interval ORDER BY news_datestamp DESC");
echo "<tr><td><b>Overskrift</b></td><td><b>Dato</b></td><td><b>Vlg</b></td></tr><tr>";
while ($data = dbarray($news_4)) {
$ndato = $data['news_datestamp'];
$ndato2 = date('d-m-Y',$ndato);
$nid = $data['news_id'];
echo "<td>" . $data['news_subject'] . "</td><td>d. " . $ndato2 . "</td><td><a href='news.php?readmore=$nid'>Vis nyhed</a></td></tr><tr>";
}
}
echo "</table>";
closetable();
}

include BASEDIR."side_right.php";
include BASEDIR."footer.php";
?>
